$(document).ready(function(){
    
	///////////////////////////TABLE WITH INLINE EDIT//////////////////////////////
	$("#rows_list_update_buttons").hide();
	$("#table_inline_edit .button_inline_edit").click(function() {
		 $("#table_inline_edit tr").removeClass("selected_row");
		 
		  $(this).parent().parent().parent().addClass("selected_row");
		  $("#rows_list_update_buttons").hide();
		  
		  var curr_id  = $(this).attr('id');
		  var prev_id  = $('#hidSlotID').val();
		  $('#hidSlotID').val(curr_id);
		
		  $('.inline_view_all').show();
		  $('.inline_edit_all').hide();
		  $('.inline_view_'+curr_id).hide();
		  
		$("#editButton").show();
			//removeAjaxRow(0);
		  
		  $('.inline_edit_'+curr_id).show();
		  
		  
		  var row_position 			= $(this).offset();
		  var row_position_top 		= row_position.top;
		  var row_position_left 	= parseInt(row_position.left);
		  var row_position_height 	=  $(this).parent().parent().parent().height();
		  var row_position_width 	=  $(this).parent().parent().parent().width();
		  
	  
		  //var update_buttons_width  = $("#rows_list_update_buttons").width();
		  //var update_buttons_top    = row_position_top + row_position_height-38;
		  //var update_buttons_left   = row_position_width-row_position_left-update_buttons_width-0;
		  //var update_buttons_left   = row_position_left-update_buttons_width+120;
		  
		  //$("#rows_list_update_buttons").css({"top" :update_buttons_top+"px", "left" :update_buttons_left+"px"});
		  
		  //$("#rows_list_update_buttons").show();
		  $("#actionField_"+curr_id).hide();
		  $("#actionField_"+prev_id).show();
	});
	
});